<?xml version="1.0" encoding="gbk" standalone="no"?>
<!DOCTYPE sqlMap PUBLIC "-//iBATIS.com//DTD SQL Map 2.0//EN" "http://ibatis.apache.org/dtd/sql-map-2.dtd">
<sqlMap namespace="" >
	
	<sql id="condition_Nhywgysglryxx">
		where 1=1
		<isNotEmpty prepend='AND' property='LIKExh'>
			(xh like '%$LIKExh$%'   )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xh'>
			(xh = #xh#  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKErybh'>
			(rybh like '%$LIKErybh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='rybh'>
			(rybh = #rybh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKErylx'>
			(rylx like '%$LIKErylx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='rylx'>
			(rylx = #rylx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExm'>
			(xm like '%$LIKExm$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xm'>
			(xm = #xm# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExb'>
			(xb like '%$LIKExb$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xb'>
			(xb = #xb# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfzh'>
			(sfzh like '%$LIKEsfzh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfzh'>
			(sfzh = #sfzh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEptdlbh'>
			(ptdlbh like '%$LIKEptdlbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ptdlbh'>
			(ptdlbh = #ptdlbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEptdlmc'>
			(ptdlmc like '%$LIKEptdlmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ptdlmc'>
			(ptdlmc = #ptdlmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysmc'>
			(gysmc like '%$LIKEgysmc$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysmc'>
			(gysmc = #gysmc# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEgysbh'>
			(gysbh like '%$LIKEgysbh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='gysbh'>
			(gysbh = #gysbh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsj'>
			(sj like '%$LIKEsj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sj'>
			(sj = #sj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzw'>
			(zw like '%$LIKEzw$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zw'>
			(zw = #zw# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzzqh'>
			(zzqh like '%$LIKEzzqh$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zzqh'>
			(zzqh = #zzqh# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEzzxz'>
			(zzxz like '%$LIKEzzxz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='zzxz'>
			(zzxz = #zzxz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEsfjsdx'>
			(sfjsdx like '%$LIKEsfjsdx$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='sfjsdx'>
			(sfjsdx = #sfjsdx# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEryjj'>
			(ryjj like '%$LIKEryjj$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='ryjj'>
			(ryjj = #ryjj# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjry'>
			(cjry like '%$LIKEcjry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjry'>
			(cjry = #cjry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEcjrq'>
			(cjrq like '%$LIKEcjrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='cjrq'>
			(cjrq = #cjrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgry'>
			(xgry like '%$LIKExgry$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgry'>
			(xgry = #xgry# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKExgrq'>
			(xgrq like '%$LIKExgrq$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='xgrq'>
			(xgrq = #xgrq# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEbz'>
			(bz like '%$LIKEbz$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='bz'>
			(bz = #bz# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz1'>
			(kz1 like '%$LIKEkz1$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz1'>
			(kz1 = #kz1# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz2'>
			(kz2 like '%$LIKEkz2$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz2'>
			(kz2 = #kz2# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz3'>
			(kz3 like '%$LIKEkz3$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz3'>
			(kz3 = #kz3# )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='LIKEkz4'>
			(kz4 like '%$LIKEkz4$%'  )
		</isNotEmpty>
		<isNotEmpty prepend='AND' property='kz4'>
			(kz4 = #kz4# )
		</isNotEmpty>
		<isNotEmpty property='tableparam'>
			$tableparam$
		</isNotEmpty>
		<isNotEmpty property='order'>
			$order$
		</isNotEmpty>
	</sql>
	
	<!-- add object -->
	<insert id="insert_Nhywgysglryxx" parameterClass="java.util.Map">
		insert into 
		nhywgysglryxx(
		<dynamic prepend=" ">  
			<isNotEmpty prepend=',' property='xh'>xh</isNotEmpty>
			<isNotEmpty prepend=',' property='rybh'>rybh</isNotEmpty>
			<isNotEmpty prepend=',' property='rylx'>rylx</isNotEmpty>
			<isNotEmpty prepend=',' property='xm'>xm</isNotEmpty>
			<isNotEmpty prepend=',' property='xb'>xb</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzh'>sfzh</isNotEmpty>
			<isNotEmpty prepend=',' property='ptdlbh'>ptdlbh</isNotEmpty>
			<isNotEmpty prepend=',' property='ptdlmc'>ptdlmc</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>sj</isNotEmpty>
			<isNotEmpty prepend=',' property='zw'>zw</isNotEmpty>
			<isNotEmpty prepend=',' property='zzqh'>zzqh</isNotEmpty>
			<isNotEmpty prepend=',' property='zzxz'>zzxz</isNotEmpty>
			<isNotEmpty prepend=',' property='sfjsdx'>sfjsdx</isNotEmpty>
			<isNotEmpty prepend=',' property='ryjj'>ryjj</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4</isNotEmpty>

		</dynamic>  
	    <![CDATA[ 
	        ) values ( 
	    ]]>  
	     <dynamic prepend=" "> 
			<isNotEmpty prepend=',' property='xh'>#xh#</isNotEmpty>
			<isNotEmpty prepend=',' property='rybh'>#rybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='rylx'>#rylx#</isNotEmpty>
			<isNotEmpty prepend=',' property='xm'>#xm#</isNotEmpty>
			<isNotEmpty prepend=',' property='xb'>#xb#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzh'>#sfzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ptdlbh'>#ptdlbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ptdlmc'>#ptdlmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>#sj#</isNotEmpty>
			<isNotEmpty prepend=',' property='zw'>#zw#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzqh'>#zzqh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzxz'>#zzxz#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfjsdx'>#sfjsdx#</isNotEmpty>
			<isNotEmpty prepend=',' property='ryjj'>#ryjj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>#kz4#</isNotEmpty>

		 </dynamic>  
	    <![CDATA[ 
	        ) 
	    ]]> 
	</insert>
	
	<!-- edit object  -->
	<update id="update_Nhywgysglryxx" parameterClass="java.util.Map">
		update nhywgysglryxx 
		<dynamic prepend="set ">   
			
			<isNotEmpty prepend=',' property='rybh'>rybh=#rybh#</isNotEmpty>
			<isNotEmpty prepend=',' property='rylx'>rylx=#rylx#</isNotEmpty>
			<isNotEmpty prepend=',' property='xm'>xm=#xm#</isNotEmpty>
			<isNotEmpty prepend=',' property='xb'>xb=#xb#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfzh'>sfzh=#sfzh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ptdlbh'>ptdlbh=#ptdlbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='ptdlmc'>ptdlmc=#ptdlmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysmc'>gysmc=#gysmc#</isNotEmpty>
			<isNotEmpty prepend=',' property='gysbh'>gysbh=#gysbh#</isNotEmpty>
			<isNotEmpty prepend=',' property='sj'>sj=#sj#</isNotEmpty>
			<isNotEmpty prepend=',' property='zw'>zw=#zw#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzqh'>zzqh=#zzqh#</isNotEmpty>
			<isNotEmpty prepend=',' property='zzxz'>zzxz=#zzxz#</isNotEmpty>
			<isNotEmpty prepend=',' property='sfjsdx'>sfjsdx=#sfjsdx#</isNotEmpty>
			<isNotEmpty prepend=',' property='ryjj'>ryjj=#ryjj#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjry'>cjry=#cjry#</isNotEmpty>
			<isNotEmpty prepend=',' property='cjrq'>cjrq=#cjrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgry'>xgry=#xgry#</isNotEmpty>
			<isNotEmpty prepend=',' property='xgrq'>xgrq=#xgrq#</isNotEmpty>
			<isNotEmpty prepend=',' property='bz'>bz=#bz#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz1'>kz1=#kz1#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz2'>kz2=#kz2#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz3'>kz3=#kz3#</isNotEmpty>
			<isNotEmpty prepend=',' property='kz4'>kz4=#kz4#</isNotEmpty>

		</dynamic>
		where 1=1 
			<isNotEmpty prepend='AND' property='XGTJxh'> xh = #XGTJxh#</isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJrybh'> rybh = #XGTJrybh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJrylx'> rylx = #XGTJrylx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxm'> xm = #XGTJxm# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxb'> xb = #XGTJxb# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfzh'> sfzh = #XGTJsfzh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJptdlbh'> ptdlbh = #XGTJptdlbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJptdlmc'> ptdlmc = #XGTJptdlmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysmc'> gysmc = #XGTJgysmc# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJgysbh'> gysbh = #XGTJgysbh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsj'> sj = #XGTJsj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzw'> zw = #XGTJzw# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzzqh'> zzqh = #XGTJzzqh# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJzzxz'> zzxz = #XGTJzzxz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJsfjsdx'> sfjsdx = #XGTJsfjsdx# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJryjj'> ryjj = #XGTJryjj# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjry'> cjry = #XGTJcjry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJcjrq'> cjrq = #XGTJcjrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgry'> xgry = #XGTJxgry# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJxgrq'> xgrq = #XGTJxgrq# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJbz'> bz = #XGTJbz# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz1'> kz1 = #XGTJkz1# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz2'> kz2 = #XGTJkz2# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz3'> kz3 = #XGTJkz3# </isNotEmpty>
			<isNotEmpty prepend='AND' property='XGTJkz4'> kz4 = #XGTJkz4# </isNotEmpty>

	</update>
	
	<!-- delete object -->
	<delete id="delete_Nhywgysglryxx" parameterClass="java.util.Map">
		delete from nhywgysglryxx 
		<include refid="condition_Nhywgysglryxx"/>
	</delete>
	
	<!-- batch delete object -->
	<delete id="batch_delete_Nhywgysglryxx" parameterClass="java.util.Map">
		delete from nhywgysglryxx 
		where 1=1
			<isNotEmpty prepend='AND' property='keyword'>
			key  in (#keyword#)
			</isNotEmpty>
	</delete>
	
	<!-- query objects by page-->
	<select id="query_Nhywgysglryxx" resultClass="java.util.HashMap" parameterClass="java.util.Map">
		select 
			a.xh,rybh,rylx,xm,xb,sfzh,sj,zw,zzqh,zzxz,sfjsdx,ryjj,ptdlbh,ptdlmc,
			a.cjry,a.cjrq,a.xgry,a.xgrq,a.bz,a.kz1,a.kz2,a.kz3,a.kz4,b.csmc as xbmc,c.csmc as rylxmc,d.csmc as sfjsdxmc
		from nhywgysglryxx a left join xtcl b on a.xb=b.csdm and b.csdl='sex'
		 left join xtcl c on a.rylx = c.csdm and c.csdl='nhywGysCyryxx'
		 left join xtcl d on a.sfjsdx = d.csdm and d.csdl='nhywSfjsdx'
		<include refid="condition_Nhywgysglryxx"/>		
	</select>
	
	<!-- query objects totalcount -->
	<select id="count_Nhywgysglryxx" resultClass="java.lang.Integer" parameterClass="java.util.Map">
		select count(*) from nhywgysglryxx 
		<include refid="condition_Nhywgysglryxx"/>			
	</select>
	
	<!-- batch add objects -->
	<insert id="batch_insert_Nhywgysglryxx" parameterClass="java.util.List">
	 	<![CDATA[
          INSERT
      	]]>
      	<iterate conjunction=" " > 
			into nhywgysglryxx(
			 <![CDATA[ 
				xh,rybh,rylx,xm,xb,sfzh,ptdlbh,ptdlmc,gysmc,gysbh,sj,zw,zzqh,zzxz,sfjsdx,ryjj,cjry,cjrq,xgry,xgrq,bz,kz1,kz2,kz3,kz4
			)values
			 ]]>  		 
			 <![CDATA[ 
				(
				#list[].xh#,#list[].rybh#,#list[].rylx#,#list[].xm#,#list[].xb#,#list[].sfzh#,#list[].ptdlbh#,#list[].ptdlmc#,#list[].gysmc#,#list[].gysbh#,#list[].sj#,#list[].zw#,#list[].zzqh#,#list[].zzxz#,#list[].sfjsdx#,#list[].ryjj#,#list[].cjry#,#list[].cjrq#,#list[].xgry#,#list[].xgrq#,#list[].bz#,#list[].kz1#,#list[].kz2#,#list[].kz3#,#list[].kz4#
				)
			]]>    
    	</iterate> 
	</insert>
</sqlMap>











